# Class DetectAllFacesTask

#### Hierarchy

- DetectFacesTaskBase<FaceDetection[]>
  - DetectAllFacesTask

- Defined in globalApi/DetectFacesTasks.ts:22

#####
Index

### Constructors

constructor

### Methods

run
then
withAgeAndGender
withFaceExpressions
withFaceLandmarks

## Constructors

### constructor

- new DetectAllFacesTask(input: any, options?: FaceDetectionOptions): DetectAllFacesTask

- #### Parameters

  - ##### input: any

  - ##### options: FaceDetectionOptions = ...

  #### Returns DetectAllFacesTask

  Inherited from DetectFacesTaskBase.constructor

  - Defined in globalApi/DetectFacesTasks.ts:17

## Methods

### run

- run(): Promise<FaceDetection[]>

- #### Returns Promise<FaceDetection[]>

  Overrides DetectFacesTaskBase.run

  - Defined in globalApi/DetectFacesTasks.ts:23

### then

- then(onfulfilled: ((value: FaceDetection[]) => FaceDetection[] | PromiseLike<FaceDetection[]>)): Promise<FaceDetection[]>

- #### Parameters

  - ##### onfulfilled: ((value: FaceDetection[]) => FaceDetection[] | PromiseLike<FaceDetection[]>)

    - - (value: FaceDetection[]): FaceDetection[] | PromiseLike<FaceDetection[]>

      - #### Parameters

        - ##### value: FaceDetection[]

        #### Returns FaceDetection[] | PromiseLike<FaceDetection[]>

  #### Returns Promise<FaceDetection[]>

  Inherited from DetectFacesTaskBase.then

  - Defined in globalApi/ComposableTask.ts:3

### withAgeAndGender

- withAgeAndGender(): PredictAllAgeAndGenderTask<{ detection: FaceDetection }>

- #### Returns PredictAllAgeAndGenderTask<{ detection: FaceDetection }>

  - Defined in globalApi/DetectFacesTasks.ts:56

### withFaceExpressions

- withFaceExpressions(): PredictAllFaceExpressionsTask<{ detection: FaceDetection }>

- #### Returns PredictAllFaceExpressionsTask<{ detection: FaceDetection }>

  - Defined in globalApi/DetectFacesTasks.ts:49

### withFaceLandmarks

- withFaceLandmarks(useTinyLandmarkNet?: boolean): DetectAllFaceLandmarksTask<{ detection: FaceDetection }>

- #### Parameters

  - ##### useTinyLandmarkNet: boolean = false

  #### Returns DetectAllFaceLandmarksTask<{ detection: FaceDetection }>

  - Defined in globalApi/DetectFacesTasks.ts:41